Update Channel
PATCH /channels/{channel_id}Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
channel_id | path | string (uuid) | required | — |
Request body — ChannelPatch
Section titled “Request body — ChannelPatch”| Field | Type | Notes | |
|---|---|---|---|
agent_id | string (uuid) | null | optional | — |
persona_id | string (uuid) | null | optional | — |
config | object | null | optional | — |
coalescing | object | null | optional | — |
is_active | boolean | null | optional | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | ChannelView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X PATCH https://your-deployment.example.com/channels/{channel_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — ChannelView
Section titled “Response — ChannelView”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
workspace_id | string (uuid) | required | — |
type_name | string | required | — |
agent_id | string (uuid) | required | — |
persona_id | string (uuid) | null | required, nullable | — |
slug | string | required | — |
config | object | required | — |
coalescing | object | required | — |
is_active | boolean | required | — |
provision_error | string | null | optional | — |
inbound_url | string | null | optional | — |
created_at | string (date-time) | required | — |
updated_at | string (date-time) | required | — |